Bug 1001193 - Puppet server missing firewalld configuration
Puppet server missing firewalld configuration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 12:47 EDT by Brian Pitts
Modified: 2014-06-19 18:58 EDT (History)
12 users (show)

See Also:
Fixed In Version: firewalld-0.3.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-19 18:58:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pitts 2013-08-26 12:47:02 EDT
The puppet-server package (tested against puppet-server-3.1.1-7.fc19.noarch) does not include a service configuration for firewalld. It would be nice if it did, so that you could easily expose a puppetmaster to the network on a server where iptables is controlled via firewalld. Here is a sample configuration which could be placed at /usr/lib/firewalld/services/puppetmaster.xml:

<?xml version="1.0" encoding="utf-8"?>
<service>
  <short>puppetmaster</short>
  <description>Puppet is a network tool for managing many disparate systems</description>
  <port protocol="tcp" port="8140"/>
</service>
Comment 1 Ken Dreyer 2014-03-19 18:32:27 EDT
re-assigning to firewalld.
Comment 3 Jiri Popelka 2014-04-03 09:20:12 EDT
If you're willing to help testing the fix, grab one of .repo files from
https://copr.fedoraproject.org/coprs/jpopelka/FirewallD/
copy it into /etc/yum.repos.d/ and run 'yum update'.

If you're not happy with the testing package, downgrade back with
# yum distro-sync 'firewall*'

In any case, I'll be glad if can leave a note here.

Thanks !
Comment 4 Brian Pitts 2014-04-03 16:27:26 EDT
I checked out the rpm contents, it looks good to me.
Comment 5 Fedora Update System 2014-05-29 05:08:21 EDT
firewalld-0.3.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.10-1.fc20
Comment 6 Fedora Update System 2014-05-29 19:23:06 EDT
Package firewalld-0.3.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6834/firewalld-0.3.10-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-06-19 18:58:14 EDT
firewalld-0.3.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.